Subject: bug#41200: Displaying a tooltip with x-show-tip gets very slow as more faces are defined

From: martin rudalics <[email-masked]>
Date: Sat, 16 May 2020 10:45:25 +0200

> I was thinking also of the case where no face specs have changed and the
 > frame is "normal" (same frame properties as others, basically) so we
 > could re-use the faces from another frame.

That's my hope as well.  For years now I'm making frames temporarily
invisible in order to avoid setting up faces for a new frame.

 > [ After all, my Emacs sessions typically have dozens of frames, and only
 >    one of them (a minibuffer-only frame) has faces setup differently
 >    because it's configured to use a slightly larger font.  ]

In my setup the minibuffer-only frame doesn't even do that.

martin